AbanteCart System Requirements

System Requirements

#TitleUser StoryImportanceNotes
1

PHP


1.3 branch: version 7.4 or above. PHP 8.0 supported

1.2 branch: version 5.6 or above.

Must Have

PHP configuration should include the following options (all these values are default)

  • Register Globals: Off
  • Magic Quotes GPC: Off  
  • File Uploads: On  
  • Session Auto Start: Off
  • opcache: off
2 MySQL databaseMySQLi database version 5.7+ or above, MySQL, PDO_MYSQL.Must Have MySQL 8 work with PHP 7.4+
3cURL supportPHP CURL is required for the operation of many payment gateways and systems (such as PayPal, Authorize.NET, etc) and real-time shipping services (FedEx, UPS).

4GDThe GD Graphics Library for dynamically manipulating images.Must Have 
5ZIPZipArchive extension is enabled

6PHAR

PHPArchive for easy extensions installation



7fileinfoPHP extension to get the content type and encoding of a filesMust Have